---
title: "Retrieve JC Combined Job Relations By Code"
slug: "retrieve-jc-combined-job-relations-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-jc-combined-job-relations-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve JC Combined Job Relations By Code

Get/jc-rest-api/rest/1/jcjobcombinedjobrel

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Related Job
- Select By Dates
- By UUID

#### Select Related Job

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| CompCodeRel | Related Company Code | 20 |
| JobCodeRel | Related Job Code | 072017 |
| JobCodeMain | Main Job Code | 1997 |
| CompCodeMain | Main Company Code | 10 |

#### Select By Dates

This is an optional finder for querying Combined Job Relations by Audit Date, .

| Parameter | Description | Sample |
| --- | --- | --- |
| AuditDate | Create or Update Date Time Filter | 2016-01-01 |

#### By UUID

This is an optional finder for querying a specific Combined Job Relation by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /jc-rest-api/rest/1/jcjobcombinedjobrel/F795E3D99A9B09D1E05313061FACE0E1 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectRelatedJob;CompCodeRel=20, JobCodeRel=072017, JobCodeMain=1997, CompCodeMain=10
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleJcrVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='a21cc212-87f6-40fa-b368-01c0ae110b8c'>application/json</option>
</select>

```json
{
  "items": [
    {
      "JcrActiveFlag": "Y",
      "JcrCompCodeMain": "10",
      "JcrCompCodeRel": "20",
      "JcrExcBillingFlag": "N",
      "JcrExcContractFlag": "N",
      "JcrExcRevenueFlag": "N",
      "JcrIuCreateDate": "2023-03-23T17:48:53Z",
      "JcrIuUpdateDate": null,
      "JcrJobCodeMain": "1997",
      "JcrJobCodeRel": "072017",
      "JcrJobNameMain": null,
      "JcrJobNameRel": "Hilton Concrete",
      "JcrVUuid": "F795E3D99A9B09D1E05313061FACE0E1",
      "links": [
        {
          "rel": "self",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcjobcombinedjobrel/F795E3D99A9B09D1E05313061FACE0E1",
          "name": "jcjobcombinedjobrel",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcjobcombinedjobrel/F795E3D99A9B09D1E05313061FACE0E1",
          "name": "jcjobcombinedjobrel",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 5,
  "count": 1,
  "hasMore": true,
  "limit": 1,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://solutionsr12mob.cmicpaas.com:80/cmicprod/jc-rest-api/rest/1/jcjobcombinedjobrel",
      "name": "jcjobcombinedjobrel",
      "kind": "collection"
    }
  ]
}
```

object
